Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface AssociationQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  AssociationQueryTypeImpl

    public interface AssociationQueryType

extends RegistryObjectQueryType

A representation of the model object 'Association Query Type'.

The following features are supported:

- `Association Filter`

See Also:
  `QueryPackage.getAssociationQueryType()`

Method Summary
`FilterType` | `getAssociationFilter()` Returns the value of the 'Association Filter' containment reference.
`void` | `setAssociationFilter(FilterType value)` Sets the value of the '`Association Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociationFilter

    FilterType getAssociationFilter()

  Returns the value of the 'Association Filter' containment reference.

  If the meaning of the 'Association Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Filter' containment reference.
  See Also:
    `setAssociationFilter(FilterType)`, `QueryPackage.getAssociationQueryType_AssociationFilter()`

### setAssociationFilter

    void setAssociationFilter(FilterType value)

  Sets the value of the '`Association Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Filter' containment reference.
  See Also:
    `getAssociationFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD